Subject: [SWIPL] problem with listing

From: jean pierre spagnol <[email-masked]>
Date: Wed, 28 Feb 2001 09:54:34 +0100

Hello
I have a problem with the predicate "listing". I have a program which
build a list of clause: regle(A,B,C) :- Body. When I want to store the
list in a file automatically it is impossible. It seems there are too
many clauses. Is there a limit size for using the predicate listing. My
list of rules is about 2000. If there is, how can I solve the problem.
Another question. Is there a limit size for the number of elements in a
list?
Thank you for your help.